# Uses of Interface
com.sun.mirror.declaration.EnumDeclaration

Packages that use EnumDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of EnumDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return EnumDeclaration
Modifier and Type
Method
Description
`EnumDeclaration`
EnumConstantDeclaration.`getDeclaringType()`
Returns the type declaration within which this member or constructor is declared.
Methods in com.sun.mirror.declaration that return types with arguments of type EnumDeclaration
Modifier and Type
Method
Description
`Collection<EnumDeclaration>`
PackageDeclaration.`getEnums()`
Returns the declarations of the top-level enum types in this package.

## Uses of EnumDeclaration in com.sun.mirror.type

Methods in com.sun.mirror.type that return EnumDeclaration
Modifier and Type
Method
Description
`EnumDeclaration`
EnumType.`getDeclaration()`
Returns the declaration of this type.

## Uses of EnumDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type EnumDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitEnumDeclaration(EnumDeclaration d)`
Visits an enum declaration.
`void`
SimpleDeclarationVisitor.`visitEnumDeclaration(EnumDeclaration d)`
Visits an enum declaration.